Bug 1570408 - Failed to import template with "CopyImageError: low level Image copy failed"
Summary: Failed to import template with "CopyImageError: low level Image copy failed"
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.20.23
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: ovirt-4.2.4
: ---
Assignee: Dan Kenigsberg
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 16:31 UTC by Yosi Ben Shimon
Modified: 2019-04-28 09:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 07:36:17 UTC
oVirt Team: Storage
tnisan: ovirt-4.2?
ylavi: exception?
pm-rhel: devel_ack?


Attachments (Terms of Use)
logs (365.11 KB, application/x-gzip)
2018-04-22 16:31 UTC, Yosi Ben Shimon
no flags Details

Description Yosi Ben Shimon 2018-04-22 16:31:20 UTC
Created attachment 1425376 [details]
logs

Description of problem:
Exception while trying to import a template from an export domain.
The exception found from automation logs.
*Local Test Case execution passed successfully.

RestApi request:
/api/storagedomains/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/templates/e0622680-a22c-46e4-a087-8c25b6551393/import
body:
<action>
    <async>true</async>
    <clone>true</clone>
    <cluster>
        <name>golden_env_mixed_1</name>
    </cluster>
    <grace_period>
        <expiry>10</expiry>
    </grace_period>
    <storage_domain>
        <name>iscsi_1</name>
    </storage_domain>
    <template>
        <name>templ_type_1913380336_1</name>
    </template>
</action>

Engine log:

Start import:
2018-04-19 13:41:41,316+03 INFO  [org.ovirt.engine.core.bll.exportimport.ImportVmTemplateCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] Running command: ImportVmTemplateCommand internal: false. Entities affected :  ID: 3e9e9efc-492a-46cb-9072-777efc50552f Type: StorageAction group IMPORT_EXPORT_VM with role type ADMIN
2018-04-19 13:41:41,356+03 INFO  [org.ovirt.engine.core.bll.storage.disk.image.CopyImageGroupCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] Running command: CopyImageGroupCommand internal: true. Entities affected :  ID: 3e9e9efc-492a-46cb-9072-777efc50552f Type: Storage
2018-04-19 13:41:41,410+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] START, CopyImageVDSCommand( CopyImageVDSCommandParameters:{runAsync='true', storagePoolId='5ad67505-01e5-0350-031f-000000000154', ignoreFailoverLimit='false', storageDomainId='aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e', imageGroupId='9a6f28a0-9450-451d-be86-4bb9b04e6d08', imageId='ef813bb5-ec31-4cc5-8e62-766f1e792c86', dstImageGroupId='0c881b7e-6b09-489f-8275-2c7f27b6b394', vmId='da4b8fa4-e6b3-4389-86a9-7e3dc2cf3277', dstImageId='760e1b53-861a-448d-b029-4f9ef94a1d21', imageDescription='', dstStorageDomainId='3e9e9efc-492a-46cb-9072-777efc50552f', copyVolumeType='SharedVol', volumeFormat='COW', preallocate='Sparse', postZero='false', discard='false', force='false'}), log id: 1dfbdeed
2018-04-19 13:41:41,411+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] -- executeIrsBrokerCommand: calling 'copyImage' with two new parameters: description and UUID. Parameters:
2018-04-19 13:41:41,411+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] ++ sdUUID=aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e
2018-04-19 13:41:41,411+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] ++ spUUID=5ad67505-01e5-0350-031f-000000000154
2018-04-19 13:41:41,411+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] ++ vmGUID=da4b8fa4-e6b3-4389-86a9-7e3dc2cf3277
2018-04-19 13:41:41,411+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] ++ srcImageGUID=9a6f28a0-9450-451d-be86-4bb9b04e6d08
2018-04-19 13:41:41,411+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] ++ srcVolUUID=ef813bb5-ec31-4cc5-8e62-766f1e792c86
2018-04-19 13:41:41,411+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] ++ dstImageGUID=0c881b7e-6b09-489f-8275-2c7f27b6b394
2018-04-19 13:41:41,411+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] ++ dstVolUUID=760e1b53-861a-448d-b029-4f9ef94a1d21
2018-04-19 13:41:41,411+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] ++ descr=
2018-04-19 13:41:41,411+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] ++ dstSdUUID=3e9e9efc-492a-46cb-9072-777efc50552f
2018-04-19 13:41:41,525+03 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (default task-18) [templates_syncAction_c9213e3b-88b0-4] FINISH, CopyImageVDSCommand, return: d1c3e10e-c962-4e1f-9d21-594488fa8384, log id: 1dfbdeed
2018-04-19 13:41:41,532+03 INFO  [org.ovirt.engine.core.bll.tasks.CommandAsyncTask] (default task-18) [templates_syncAction_c9213e3b-88b0-4] CommandAsyncTask::Adding CommandMultiAsyncTasks object for command 'e103ca17-a1e0-4bef-aacf-1a3cae2b51cf'
2018-04-19 13:41:41,532+03 INFO  [org.ovirt.engine.core.bll.CommandMultiAsyncTasks] (default task-18) [templates_syncAction_c9213e3b-88b0-4] CommandMultiAsyncTasks::attachTask: Attaching task 'd1c3e10e-c962-4e1f-9d21-594488fa8384' to command 'e103ca17-a1e0-4bef-aacf-1a3cae2b51cf'.
2018-04-19 13:41:41,548+03 INFO  [org.ovirt.engine.core.bll.tasks.AsyncTaskManager] (default task-18) [templates_syncAction_c9213e3b-88b0-4] Adding task 'd1c3e10e-c962-4e1f-9d21-594488fa8384' (Parent Command 'ImportVmTemplate', Parameters Type 'org.ovirt.engine.core.common.asynctasks.AsyncTaskParameters'), polling hasn't started yet..
2018-04-19 13:41:41,667+03 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (default task-18) [templates_syncAction_c9213e3b-88b0-4] EVENT_ID: IMPORTEXPORT_STARTING_IMPORT_TEMPLATE(1,163), Correlation ID: templates_syncAction_c9213e3b-88b0-4, Job ID: 92206cbd-fda1-431f-8987-6e6c16b211c4, Call Stack: null, Custom ID: null, Custom Event ID: -1, Message: Starting to import Template templ_type_1913380336_1 to Data Center golden_env_mixed, Cluster golden_env_mixed_1
2018-04-19 13:41:41,668+03 INFO  [org.ovirt.engine.core.bll.tasks.SPMAsyncTask] (default task-18) [templates_syncAction_c9213e3b-88b0-4] BaseAsyncTask::startPollingTask: Starting to poll task 'd1c3e10e-c962-4e1f-9d21-594488fa8384'.
2018-04-19 13:41:41,669+03 INFO  [org.ovirt.engine.core.bll.tasks.AsyncTaskManager] (DefaultQuartzScheduler2) [759de3] Polling and updating Async Tasks: 6 tasks, 1 tasks to poll now

Failure (also engine log):
2018-04-19 13:41:51,728+03 ERROR [org.ovirt.engine.core.bll.tasks.SPMAsyncTask] (DefaultQuartzScheduler7) [6fdfbc95] BaseAsyncTask::logEndTaskFailure: Task 'd1c3e10e-c962-4e1f-9d21-594488fa8384' (Parent Command 'ImportVmTemplate', Parameters Type 'org.ovirt.engine.core.common.asynctasks.AsyncTaskParameters') ended with failure:
-- Result: 'cleanSuccess'
-- Message: 'VDSGenericException: VDSErrorException: Failed to HSMGetAllTasksStatusesVDS, error = low level Image copy failed: ("cmd=['/usr/bin/taskset', '--cpu-list', '0-7', '/usr/bin/nice', '-n', '19', '/usr/bin/ionice', '-c', '3', '/usr/bin/qemu-img', 'convert', '-p', '-t', 'none', '-T', 'none', '-f', 'qcow2', '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86', '-O', 'qcow2', '-o', 'compat=1.1', '/rhev/data-center/mnt/blockSD/3e9e9efc-492a-46cb-9072-777efc50552f/images/0c881b7e-6b09-489f-8275-2c7f27b6b394/760e1b53-861a-448d-b029-4f9ef94a1d21'], ecode=1, stdout=, stderr=qemu-img: Could not open '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86': Could not open '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86': No such file or directory\n, message=None",), code = 261',
-- Exception: 'VDSGenericException: VDSErrorException: Failed to HSMGetAllTasksStatusesVDS, error = low level Image copy failed: ("cmd=['/usr/bin/taskset', '--cpu-list', '0-7', '/usr/bin/nice', '-n', '19', '/usr/bin/ionice', '-c', '3', '/usr/bin/qemu-img', 'convert', '-p', '-t', 'none', '-T', 'none', '-f', 'qcow2', '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86', '-O', 'qcow2', '-o', 'compat=1.1', '/rhev/data-center/mnt/blockSD/3e9e9efc-492a-46cb-9072-777efc50552f/images/0c881b7e-6b09-489f-8275-2c7f27b6b394/760e1b53-861a-448d-b029-4f9ef94a1d21'], ecode=1, stdout=, stderr=qemu-img: Could not open '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86': Could not open '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86': No such file or directory\n, message=None",), code = 261'


VDSM log:
2018-04-19 13:41:44,752+0300 ERROR (tasks/1) [storage.Image] conversion failure for volume ef813bb5-ec31-4cc5-8e62-766f1e792c86 (image:918)
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/image.py", line 913, in copyCollapsed
    self._wait_for_qemuimg_operation(operation)
  File "/usr/share/vdsm/storage/image.py", line 141, in _wait_for_qemuimg_operation
    operation.wait_for_completion()
  File "/usr/lib/python2.7/site-packages/vdsm/qemuimg.py", line 339, in wait_for_completion
    self.poll(timeout)
  File "/usr/lib/python2.7/site-packages/vdsm/qemuimg.py", line 334, in poll
    self.error)
QImgError: cmd=['/usr/bin/taskset', '--cpu-list', '0-7', '/usr/bin/nice', '-n', '19', '/usr/bin/ionice', '-c', '3', '/usr/bin/qemu-img', 'convert', '-p', '-t', 'none', '-T', 'none', '-f', 'qcow2', '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86', '-O', 'qcow2', '-o', 'compat=1.1', '/rhev/data-center/mnt/blockSD/3e9e9efc-492a-46cb-9072-777efc50552f/images/0c881b7e-6b09-489f-8275-2c7f27b6b394/760e1b53-861a-448d-b029-4f9ef94a1d21'], ecode=1, stdout=, stderr=qemu-img: Could not open '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86': Could not open '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86': No such file or directory
, message=None
2018-04-19 13:41:44,754+0300 ERROR (tasks/1) [storage.Image] Unexpected error (image:931)
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/image.py", line 919, in copyCollapsed
    raise se.CopyImageError(str(e))
CopyImageError: low level Image copy failed: ("cmd=['/usr/bin/taskset', '--cpu-list', '0-7', '/usr/bin/nice', '-n', '19', '/usr/bin/ionice', '-c', '3', '/usr/bin/qemu-img', 'convert', '-p', '-t', 'none', '-T', 'none', '-f', 'qcow2', '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86', '-O', 'qcow2', '-o', 'compat=1.1', '/rhev/data-center/mnt/blockSD/3e9e9efc-492a-46cb-9072-777efc50552f/images/0c881b7e-6b09-489f-8275-2c7f27b6b394/760e1b53-861a-448d-b029-4f9ef94a1d21'], ecode=1, stdout=, stderr=qemu-img: Could not open '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86': Could not open '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86': No such file or directory\n, message=None",)


and:
2018-04-19 13:41:45,046+0300 ERROR (tasks/1) [storage.TaskManager.Task] (Task='d1c3e10e-c962-4e1f-9d21-594488fa8384') Unexpected error (task:872)
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 879, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/storage/task.py", line 333, in run
    return self.cmd(*self.argslist, **self.argsdict)
  File "/usr/lib/python2.7/site-packages/vdsm/storage/securable.py", line 79, in wrapper
    return method(self, *args, **kwargs)
  File "/usr/share/vdsm/storage/sp.py", line 1601, in copyImage
    postZero, force, discard)
  File "/usr/share/vdsm/storage/image.py", line 919, in copyCollapsed
    raise se.CopyImageError(str(e))
CopyImageError: low level Image copy failed: ("cmd=['/usr/bin/taskset', '--cpu-list', '0-7', '/usr/bin/nice', '-n', '19', '/usr/bin/ionice', '-c', '3', '/usr/bin/qemu-img', 'convert', '-p', '-t', 'none', '-T', 'none', '-f', 'qcow2', '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86', '-O', 'qcow2', '-o', 'compat=1.1', '/rhev/data-center/mnt/blockSD/3e9e9efc-492a-46cb-9072-777efc50552f/images/0c881b7e-6b09-489f-8275-2c7f27b6b394/760e1b53-861a-448d-b029-4f9ef94a1d21'], ecode=1, stdout=, stderr=qemu-img: Could not open '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86': Could not open '/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86': No such file or directory\n, message=None",)

and than:
2018-04-19 13:41:51,680+0300 DEBUG (jsonrpc/0) [storage.TaskManager] Entry. taskID: d1c3e10e-c962-4e1f-9d21-594488fa8384 (taskManager:104)
2018-04-19 13:41:51,680+0300 DEBUG (jsonrpc/0) [storage.TaskManager] Return. Response: {'code': 261, 'message': 'low level Image copy failed: ("cmd=[\'/usr/bin/taskset\', \'--cpu-list\', \'0-7\', \'/usr/bin/nice\', \'-n\', \'19\', \'/usr/bin/ionice\', \'-c\', \'3\', \'/usr/bin/qemu-img\', \'convert\', \'-p\', \'-t\', \'none\', \'-T\', \'none\', \'-f\', \'qcow2\', \'/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86\', \'-O\', \'qcow2\', \'-o\', \'compat=1.1\', \'/rhev/data-center/mnt/blockSD/3e9e9efc-492a-46cb-9072-777efc50552f/images/0c881b7e-6b09-489f-8275-2c7f27b6b394/760e1b53-861a-448d-b029-4f9ef94a1d21\'], ecode=1, stdout=, stderr=qemu-img: Could not open \'/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86\': Could not open \'/rhev/data-center/5ad67505-01e5-0350-031f-000000000154/aab31b8e-8c70-4fd5-8dee-d5c5edb46c5e/images/9a6f28a0-9450-451d-be86-4bb9b04e6d08/ef813bb5-ec31-4cc5-8e62-766f1e792c86\': No such file or directory\\n, message=None",)', 'taskState': 'finished', 'taskResult': 'cleanSuccess', 'taskID': 'd1c3e10e-c962-4e1f-9d21-594488fa8384'} (taskManager:107)


and:
2018-04-19 13:41:52,307+0300 ERROR (jsonrpc/6) [storage.TaskManager.Task] (Task='91a888a4-441a-447e-b350-a18dd107101e') Unexpected error (task:872)
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 879, in _run
    return fn(*args, **kargs)
  File "<string>", line 2, in deleteImage
  File "/usr/lib/python2.7/site-packages/vdsm/common/api.py", line 48, in method
    ret = func(*args, **kwargs)
  File "/usr/share/vdsm/storage/hsm.py", line 1449, in deleteImage
    raise se.ImageDoesNotExistInSD(imgUUID, sdUUID)
ImageDoesNotExistInSD: Image does not exist in domain: 'image=0c881b7e-6b09-489f-8275-2c7f27b6b394, domain=3e9e9efc-492a-46cb-9072-777efc50552f'




Version-Release number of selected component (if applicable):
vdsm-4.19.51-1.el7ev.x86_64
ovirt-engine-4.1.11.2-0.1.el7.noarch

How reproducible:
Unknown

Steps to Reproduce:
1. Clone VM from template as deep copy.
2. Export VM to export domain.
3. Import VM

Actual results:
Template import failed.

Expected results:
Import VM should success.

Additional info:

Comment 1 Yaniv Kaul 2018-04-23 06:28:52 UTC
Does it happen without deep copy? Just export-import work? The title is somewhat misleading - the issue is that it cannot find the image, right? Is the image in the export domain? Is it accessible?

Comment 3 Yosi Ben Shimon 2018-05-03 07:28:24 UTC
(In reply to Yaniv Kaul from comment #1)
> Does it happen without deep copy? Just export-import work? The title is
> somewhat misleading - the issue is that it cannot find the image, right? Is
> the image in the export domain? Is it accessible?

I ran this case ~7 times both deep copy and thin copy.
Deep copy works fine without any failures.

When I execute this case with thin copy I get an error saying "Cannot import and collapse VM, Template is missing in domain export_domain" but it's ok because I don't have the base image of the template.
According to https://bugzilla.redhat.com/show_bug.cgi?id=1309788, That's how it designed to be.

So far I didn't manage to reproduce it.

Comment 4 Yaniv Kaul 2018-05-03 07:36:17 UTC
(In reply to Yosi Ben Shimon from comment #3)
> (In reply to Yaniv Kaul from comment #1)
> > Does it happen without deep copy? Just export-import work? The title is
> > somewhat misleading - the issue is that it cannot find the image, right? Is
> > the image in the export domain? Is it accessible?
> 
> I ran this case ~7 times both deep copy and thin copy.
> Deep copy works fine without any failures.
> 
> When I execute this case with thin copy I get an error saying "Cannot import
> and collapse VM, Template is missing in domain export_domain" but it's ok
> because I don't have the base image of the template.
> According to https://bugzilla.redhat.com/show_bug.cgi?id=1309788, That's how
> it designed to be.
> 
> So far I didn't manage to reproduce it.

Thanks - I'm closing it for the time being. Please re-open if/when you can reproduce.
(That being said - please make sure to watch for it on the automation - make sure you run the test against multiple storage backends, various loads, etc. - I'm always wary of those 'can't reproduce all the sudden BZs'.


Note You need to log in before you can comment on or make changes to this bug.